Skip to main content
GET

Authorizations

Authorization
string
header
required

API key starting with sk_case_

Path Parameters

id
string
required

The transcription job ID (tr_xxx for vault-based, or AssemblyAI ID for legacy)

Query Parameters

include_text
enum<string>

Include full transcript text in response for vault-based jobs (default: false)

Available options:
true,
false

Response

Transcription status and result

id
string
required

Unique transcription job ID

status
enum<string>
required

Current status of the transcription job

Available options:
queued,
preprocessing,
processing,
completed,
failed
vault_id
string

Vault ID (vault-based jobs only)

source_object_id
string

Original source media object ID (vault-based jobs only)

input_object_id
string

Media object submitted to the speech provider. May be an internal audio derivative for large videos.

result_object_id
string

Result transcript object ID (vault-based jobs, when completed)

audio_duration
number

Duration of the audio file in seconds

word_count
integer

Number of words in the transcript

confidence
number

Overall confidence score (0-100)

error
string

Error message (only present when status is failed)

text
string

Full transcription text (only included when include_text=true for vault-based jobs, or for legacy direct URL jobs)

words
array

Word-level timestamps (legacy direct URL jobs only)